summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-03-14 08:12:19 +0100
committerHans de Graaff <graaff@gentoo.org>2019-03-14 08:16:13 +0100
commit3ed445e027746f6d91347eb85c712be721fb2743 (patch)
treee79a74f88c08535aff65ff573eae7b194696d714 /dev-ruby/activemodel/activemodel-5.1.6.2.ebuild
parentdev-ruby/activesupport: add 5.1.6.2 (diff)
downloadgentoo-3ed445e027746f6d91347eb85c712be721fb2743.tar.gz
gentoo-3ed445e027746f6d91347eb85c712be721fb2743.tar.bz2
gentoo-3ed445e027746f6d91347eb85c712be721fb2743.zip
dev-ruby/activemodel: add 5.1.6.2
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-ruby/activemodel/activemodel-5.1.6.2.ebuild')
-rw-r--r--dev-ruby/activemodel/activemodel-5.1.6.2.ebuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/dev-ruby/activemodel/activemodel-5.1.6.2.ebuild b/dev-ruby/activemodel/activemodel-5.1.6.2.ebuild
new file mode 100644
index 00000000000..85d3713daa3
--- /dev/null
+++ b/dev-ruby/activemodel/activemodel-5.1.6.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activemodel.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Toolkit for building modeling frameworks like Active Record and Active Resource"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}:*
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/railties-${PV}
+ dev-ruby/test-unit:2
+ >=dev-ruby/mocha-0.14.0:0.14
+ >=dev-ruby/bcrypt-ruby-3.1.7
+ )"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ sed -i -e '/load_paths/d ; 1igem "activesupport", "~>5.1.6" ; gem "railties", "~>5.1.6"' test/cases/helper.rb || die "Unable to remove load paths"
+}